Upsert embeddings
curl --request PUT \
--url https://api.example.com/api/v1/embeddings/{indexName}/upsert \
--header 'Content-Type: application/json' \
--header 'X-Eigen-API-Key: <api-key>' \
--data '
{
"embeddings": [
{
"data": [
123
],
"id": 123,
"metadata": {}
}
]
}
'import requests
url = "https://api.example.com/api/v1/embeddings/{indexName}/upsert"
payload = { "embeddings": [
{
"data": [123],
"id": 123,
"metadata": {}
}
] }
headers = {
"X-Eigen-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eigen-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({embeddings: [{data: [123], id: 123, metadata: {}}]})
};
fetch('https://api.example.com/api/v1/embeddings/{indexName}/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "50/50 embeddings successfully upserted."
}{
"status": 500,
"message": "49/50 embeddings successfully upserted.",
"error": {
"code": "EMBEDDINGS_SKIPPED",
"description": "detailed description of the error..."
}
}API Reference
Upsert embeddings
Upserts a set of embeddings into the database (insert and update embedding if it already exists).
PUT
/
api
/
v1
/
embeddings
/
{indexName}
/
upsert
Upsert embeddings
Authorizations
Path Parameters
Name of the index
Body
application/json
Embeddings to be upserted.
Show child attributes
Show child attributes
⌘I